package com.storlead.framework.common.ecode;

/**
 * @program: sp-cloud
 * @description:
 * @author: chenkq
 * @create: 2021-10-25 18:39
 */

public interface PasswordEncoder {

    String encode(CharSequence var1);

    boolean matches(CharSequence var1, String var2);

    default boolean upgradeEncoding(String encodedPassword) {
        return false;
    }
}
